LINUX.ORG.RU

Помогите собрать hostapd 2.7

 ,


0

0

Linux Server 4.9.0-8-amd64 #1 SMP Debian 4.9.144-3.1 (2019-02-19) x86_64 GNU/Linux Подключил тестовые репозитории apt-get source hostapd
По этой инструкции изменял https://debianforum.ru/index.php?topic=13682.0 Установил зависимости apt-get build-dep hostapd
debuild -uc -us -b - выдает ошибку

../src/drivers/driver_macsec_linux.c:19:39: fatal error: netlink/route/link/macsec.h: Нет такого файла или каталога
 #include <netlink/route/link/macsec.h>
                                       ^
compilation terminated.
Makefile:1988: ошибка выполнения рецепта для цели «../src/drivers/driver_macsec_linux.o»
make[2]: *** [../src/drivers/driver_macsec_linux.o] Ошибка 1
make[2]: *** Ожидание завершения заданий…
make[2]: выход из каталога «/home/dotstal/h.2.7/wpa-2.7+git20190128+0c1e29f/wpa_supplicant»
dh_auto_build: cd wpa_supplicant && make -j2 "INSTALL=install --strip-program=true" returned exit code 2
debian/rules:35: ошибка выполнения рецепта для цели «override_dh_auto_build»
make[1]: *** [override_dh_auto_build] Ошибка 2
make[1]: выход из каталога «/home/dotstal/h.2.7/wpa-2.7+git20190128+0c1e29f»
debian/rules:97: ошибка выполнения рецепта для цели «build»
make: *** [build] Ошибка 2
dpkg-buildpackage: ошибка: debian/rules build возвратил код ошибки 2
debuild: fatal error at line 1116:
dpkg-buildpackage -rfakeroot -us -uc -b failed
dotstal@Server:~/h.2.7/wpa-2.7+git20190128+0c1e29f$


macsec.h - нет в комплекте, но там нет и других - (не понял как написать простым текстом)

#include <netlink/netlink.h>
#include <netlink/genl/genl.h>
#include <netlink/genl/ctrl.h>
#include <netlink/route/link.h>
#include <netlink/route/link/macsec.h> - 19 сторка
#include <linux/if_macsec.h>
#include <inttypes.h>

#include <netlink/route/link/macsec.h> - 19 сторка

Говоря проще, тебе нужна libnl-3-dev и libnl-3-200 версии 3.4.0.

Deleted ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.